#!/usr/bin/env python3


import .cppScons.setup;
import argparse;


def parse_args():
    parser = argparse.ArgumentParser(
        description="Generate a project template"
    );

    parser.add_argument(
        '-l', '--language', required=True,
        help="Language to be set up"
    );

    parser.add_argument(
        '-b', '--builder', required=True,
        help="Build system for the specified language"
    );

    parser.add_argument(
        '-f', '--folder', required=True,
        help="Path where the jinja2 template files reside"
    );

    return parser.parse_args();

def main():
    args = parse_args();
    
    if(args.language == "cpp"):
        if(args.builder == "scons"):
            .cppScons.setup();

    pass

if __name__ == "__main__":
    main();
    pass
